Bug 1668160 (CVE-2019-6501) - CVE-2019-6501 QEMU: scsi-generic: possible OOB access while handling inquiry request
Summary: CVE-2019-6501 QEMU: scsi-generic: possible OOB access while handling inquiry ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-6501
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1689208 1668162 1668999 1669000 1669001 1669002 1669003 1669005 1669058 1669059
Blocks: 1667904
TreeView+ depends on / blocked
 
Reported: 2019-01-22 05:39 UTC by Prasad J Pandit
Modified: 2019-09-29 15:05 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:21:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2513 None None None 2019-08-15 18:37:35 UTC
Red Hat Product Errata RHSA-2019:2166 None None None 2019-08-06 12:23:30 UTC
Red Hat Product Errata RHSA-2019:2425 None None None 2019-08-09 00:48:33 UTC
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:18:40 UTC

Description Prasad J Pandit 2019-01-22 05:39:45 UTC
An out of bounds r/w access issue was found in the way QEMU
handled inquiry request coming from a guest in scsi_handle_inquiry_reply().
A guest user/process could use this flaw to corrupt byte of QEMU process
memory.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2019-01/msg02324.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2019/01/24/1

Comment 4 Prasad J Pandit 2019-01-24 06:17:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1669005]

Comment 9 errata-xmlrpc 2019-08-06 12:23:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2166 https://access.redhat.com/errata/RHSA-2019:2166

Comment 10 Product Security DevOps Team 2019-08-06 13:21:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-6501

Comment 11 errata-xmlrpc 2019-08-09 00:48:31 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:2425 https://access.redhat.com/errata/RHSA-2019:2425

Comment 12 errata-xmlrpc 2019-08-22 09:18:38 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:2553 https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.